## ekiga 4.0.1

=== win32/Makefile ===
#!/usr/bin/make -f

# RELEASE: 0=from git/svn, 1=release (tar.gz) for ekiga, ptlib and opal
RELEASE   := 0
# DEBUG: 0=release, 1=debug version
DEBUG     := 0
# MINGW32: 1=use old mingw32, 0=use new mingw-w64
MINGW32   := 0
# BIT32 (used only for mingw-w64): 1=generate 32bit, 0=generate 64bit
BIT32     := 1

# flags used by make for each of the libraries and ekiga
# using $(MAKEFLAGS) here might lead to interferences between variables in this
#   Makefile (e.g. DEBUG) and lib own flags
MAKEOPTS  := -j2
MAKE_LIB_OPTS:=

BUILDROOT := $(CURDIR)
TARGETDIR := $(BUILDROOT)/dist
SRCDIR    := $(BUILDROOT)/src
INCLUDEDIR:= $(BUILDROOT)/include
LIBDIR    := $(BUILDROOT)/lib
BINDIR    := $(BUILDROOT)/bin

export DEB_BUILD_GNU_TYPE:=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

WGET := wget -nv -T 60 -N

ifeq ($(MINGW32), 1)
HOST_TOOL_PREFIX:=i586-mingw32msvc
export DEB_HOST_GNU_TYPE:="i586-pc-mingw32"
else
ifeq ($(BIT32), 1)
HOST_TOOL_PREFIX:=i686-w64-mingw32
export DEB_HOST_GNU_TYPE:="i686-pc-mingw32"
else
HOST_TOOL_PREFIX:=x86_64-w64-mingw32
export DEB_HOST_GNU_TYPE:="x86_64-pc-mingw32"
endif
endif
REALCC:=$(HOST_TOOL_PREFIX)-gcc
REALCXX:=$(HOST_TOOL_PREFIX)-g++
export CC=$(REALCC) -mms-bitfields -g -O2
export CXX=$(REALCXX) -mms-bitfields -g -O2
export LD:=$(HOST_TOOL_PREFIX)-ld
export NM:=$(HOST_TOOL_PREFIX)-nm
export AR:=$(HOST_TOOL_PREFIX)-ar
export RANLIB:=$(HOST_TOOL_PREFIX)-ranlib
export DLLTOOL:=$(HOST_TOOL_PREFIX)-dlltool
export DLLWRAP:=$(HOST_TOOL_PREFIX)-dllwrap
export OBJDUMP:=$(HOST_TOOL_PREFIX)-objdump
export RC:=$(HOST_TOOL_PREFIX)-windres
export STRIP:=$(HOST_TOOL_PREFIX)-strip
export AS:=$(HOST_TOOL_PREFIX)-as
export LDD:=$(BUILDROOT)/$(HOST_TOOL_PREFIX)-ldd.sh

export CFLAGS:=-I$(INCLUDEDIR) -march=pentium-mmx
export CXXFLAGS:=-I$(INCLUDEDIR) -march=pentium-mmx
export LDFLAGS:=-L$(LIBDIR)
export PKG_CONFIG_PATH:=$(LIBDIR)/pkgconfig
export PKG_CONFIG_LIBDIR:=$(LIBDIR)
export PATH:=$(BINDIR):$(PATH)


ifeq ($(RELEASE),1)
	EKIGA_VER := 4.0.1
	EKIGA_URL := http://ftp.gnome.org/pub/gnome/sources/ekiga/4.0
	EKIGA_ARCHIVE := ekiga-$(EKIGA_VER).tar.xz
	EKIGA_DIR := $(BUILDROOT)/ekiga-$(EKIGA_VER)
else
	#GIT_EKIGA_REV = reset --hard HEAD
	GIT_EKIGA_REV := checkout -b v4_0 origin/v4_0
	EKIGA_URL := git://git.gnome.org/ekiga
	EKIGA_ARCHIVE := ekiga
	EKIGA_DIR = $(BUILDROOT)/ekiga
	EKIGA_VER := $(strip $(shell grep AC_INIT $(SRCDIR)/$(EKIGA_ARCHIVE)/configure.ac | awk 'BEGIN { FS = "," } ; { print $$2 }' | tr -d '[]'))
	EKIGA_REV := $(strip $(shell (cd $(SRCDIR)/$(EKIGA_ARCHIVE); git describe | awk 'BEGIN { FS = "-" } ; { print $$2 "_" $$3 }' )))
ifneq ($(EKIGA_REV),)
	EKIGA_VER := $(EKIGA_VER)-git-$(EKIGA_REV)
endif
endif
EKIGA_PREFIX := $(TARGETDIR)/Ekiga
ifeq ($(DEBUG),1)
EKIGA_INSTALLER := ekiga-setup-$(EKIGA_VER)-debug.exe
else
EKIGA_INSTALLER := ekiga-setup-$(EKIGA_VER).exe
endif
#EKIGA_WIN32_DIFF_DIR := $(CURDIR)/diff
EKIGA_INSTALLER_DIR := $(EKIGA_DIR)/win32/nsisinstaller

ifeq ($(RELEASE),1)
	OPAL_VER := 3.10.10
	OPAL_URL := http://ftp.gnome.org/pub/gnome/sources/opal/3.10
	OPAL_ARCHIVE := opal-$(OPAL_VER).tar.xz
	OPAL_DIR := $(BUILDROOT)/opal-$(OPAL_VER)
else
	OPAL_VER := 3.10-beta11
	# OPAL_REV: HEAD or revision number
	OPAL_REV := HEAD
	OPAL_URL := https://opalvoip.svn.sourceforge.net/svnroot/opalvoip/opal/branches/v3_10
	OPAL_ARCHIVE := opal
	OPAL_DIR := $(BUILDROOT)/opal
endif
OPAL_LIB := libopal.$(OPAL_VER).dll

ifeq ($(RELEASE),1)
	PTLIB_VER := 2.10.10
	PTLIB_URL := http://ftp.gnome.org/pub/gnome/sources/ptlib/2.10
	PTLIB_ARCHIVE := ptlib-$(PTLIB_VER).tar.xz
	PTLIB_DIR := $(BUILDROOT)/ptlib-$(PTLIB_VER)
else
	PTLIB_VER := 2.10-beta11
	# PTLIB_REV: HEAD or revision number
	PTLIB_REV := HEAD
	PTLIB_URL := https://opalvoip.svn.sourceforge.net/svnroot/opalvoip/ptlib/branches/v2_10
	PTLIB_ARCHIVE := ptlib
	PTLIB_DIR := $(BUILDROOT)/ptlib
endif
PTLIB_LIB := libpt.$(PTLIB_VER).dll

##############   ekiga/ptlib/opal library and headers dependencies
OPENLDAP_VER := 2.4.29
OPENLDAP_DIR := $(BUILDROOT)/openldap-$(OPENLDAP_VER)
OPENLDAP_ARCHIVE := openldap-$(OPENLDAP_VER).tgz
OPENLDAP_URL := http://www.openldap.org/software/download/OpenLDAP/openldap-release

LIBSASL2_VER := 2.1.22
LIBSASL2_DIR := $(BUILDROOT)/cyrus-sasl-$(LIBSASL2_VER)
LIBSASL2_ARCHIVE := cyrus-sasl-$(LIBSASL2_VER).zip
LIBSASL2_URL := http://developer.pidgin.im/static/win32

OGG_VER := 1.3.0
OGG_DIR := $(BUILDROOT)/libogg-$(OGG_VER)
OGG_ARCHIVE := libogg-$(OGG_VER).tar.xz
OGG_URL := http://downloads.xiph.org/releases/ogg

SPEEX_VER := 1.2rc1
SPEEX_DIR := $(BUILDROOT)/speex-$(SPEEX_VER)
SPEEX_ARCHIVE := speex-$(SPEEX_VER).tar.gz
SPEEX_URL := http://downloads.xiph.org/releases/speex

XML2_VER := 2.7.8
XML2_DIR := libxml2-$(XML2_VER)
XML2_URL := ftp://xmlsoft.org/libxml2
XML2_ARCHIVE := libxml2-$(XML2_VER).tar.gz

EXPAT_VER = 2.1.0
EXPAT_DIR = $(BUILDROOT)/expat-$(EXPAT_VER)
EXPAT_ARCHIVE := expat-$(EXPAT_VER).tar.gz
EXPAT_URL := https://downloads.sourceforge.net/project/expat/expat/$(EXPAT_VER)

# choose commit 203e34 (2007-09-30), since since then a few modifications
# have been done and the compilation needs to be updated
REGEX_REV := 203e34
REGEX_DIR := $(BUILDROOT)/regex
REGEX_ARCHIVE := regex

BOOST_VER := 1.48.0
BOOST_URL := http://downloads.sourceforge.net/project/boost/boost/$(BOOST_VER)
BOOST_ARCHIVE := boost_$(shell echo $(BOOST_VER)|tr . _).tar.gz
BOOST_DIR := $(BUILDROOT)/boost_$(shell echo $(BOOST_VER)|tr . _)

GETTEXT_VER := 0.17-1
GETTEXT_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies
GETTEXT_ARCHIVE := gettext-runtime-dev-$(GETTEXT_VER).zip

LIBAV_VER := 0.8
LIBAV_URL := http://www.libav.org/releases
LIBAV_DIR := $(BUILDROOT)/libav-$(LIBAV_VER)
LIBAV_ARCHIVE := libav-$(LIBAV_VER).tar.xz

X264_VER := a3f4407
X264_URL := git://git.videolan.org/x264.git
X264_DIR := $(BUILDROOT)/x264
X264_ARCHIVE := x264

# note that every celt release might break API
CELT_VER := 0.7.1
CELT_URL := http://downloads.xiph.org/releases/celt
CELT_DIR := $(BUILDROOT)/celt-$(CELT_VER)
CELT_ARCHIVE := celt-$(CELT_VER).tar.gz

THEORA_VER := 1.1.1
THEORA_URL := http://downloads.xiph.org/releases/theora
THEORA_DIR := $(BUILDROOT)/libtheora-$(THEORA_VER)
THEORA_ARCHIVE := libtheora-$(THEORA_VER).tar.xz

NSIS_VER := 2.46
NSIS_URL := http://downloads.sourceforge.net/nsis
NSISPROCESSES_URL := http://nsis.sourceforge.net/mediawiki/images/f/f3/
NSISSYTEM_DIR := /usr/share/nsis/Contrib/Modern\ UI
NSISPLUGIN_DIR := $(BUILDROOT)/nsisplugins

# gtk headers
GTK_VER := 2.22.0-2
GTK_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/gtk+/2.22
GTK_ARCHIVE := gtk+-dev_$(GTK_VER)_win32.zip

# gtk library
# this is an installer, not a zip of files to be manually installed
# see http://gtk-win.sourceforge.net for more information
GTK_BIN_VER := 2.22
GTK_INSTALLER_URL := http://downloads.sourceforge.net/gtk-win
GTK_BIN_EXE := gtk2-runtime-2.22.0-2010-10-21-ash.exe

##############   gtk headers dependencies
# during building, ekiga uses gtk.h, which needs headers of various libraries
GLIB_VER := 2.28.1-1
GLIB_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/glib/2.28
GLIB_ARCHIVE := glib-dev_$(GLIB_VER)_win32.zip

ATK_VER := 1.32.0-1
ATK_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/atk/1.32
ATK_ARCHIVE := atk-dev_$(ATK_VER)_win32.zip

CAIRO_VER := 1.10.2-1
CAIRO_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies
CAIRO_ARCHIVE := cairo-dev_$(CAIRO_VER)_win32.zip

PANGO_VER := 1.28.3-1
PANGO_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/pango/1.28
PANGO_ARCHIVE := pango-dev_$(PANGO_VER)_win32.zip

FREETYPE_VER := 2.4.4-1
FREETYPE_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies/
FREETYPE_ARCHIVE := freetype-dev_$(FREETYPE_VER)_win32.zip

FONTCONFIG_VER := 2.8.0-2
FONTCONFIG_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies/
FONTCONFIG_ARCHIVE := fontconfig-dev_$(FONTCONFIG_VER)_win32.zip

GDKPIXBUF_VER := 2.22.1-1
GDKPIXBUF_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/gdk-pixbuf/2.22
GDKPIXBUF_ARCHIVE := gdk-pixbuf-dev_$(GDKPIXBUF_VER)_win32.zip

PNG_VER := 1.4.3-1
PNG_URL := http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies/
PNG_ARCHIVE := libpng-dev_$(PNG_VER)_win32.zip

LN:=ln
RM:=rm
CP:=cp
MV:=mv
SVN:=svn
GIT:=git

# write country codes you want to build help for (in addition to C),
#   or leave blank to build help for all available languages;
#   e.g. for French and C put: DOC_LINGUAS := fr
DOC_LINGUAS :=

confflags := --prefix=$(BUILDROOT) --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

confptlib := $(confflags) --enable-vfw \
	--disable-qos --disable-alsa --disable-esd --disable-oss --disable-sunaudio --disable-shmaudio \
	--disable-v4l --disable-v4l2 --disable-bsdvideo --disable-avc --disable-dc
ifeq ($(MINGW32), 1)
confptlib := $(confptlib) --with-directx-includedir=$(EKIGA_DIR)/win32/directx
endif

# disable silk non-free codec
confopal := $(confflags) --disable-t38 --disable-fax --disable-silk

confekiga:= $(confflags) \
	--prefix=$(EKIGA_PREFIX) --bindir=$(EKIGA_PREFIX) --datadir=$(EKIGA_PREFIX) \
	--sysconfdir=$(EKIGA_PREFIX) --libdir=$(EKIGA_PREFIX) \
	--with-ldap-dir=$(OPENLDAP_DIR) --with-libsasl2-dir=$(LIBSASL2_DIR) --with-boost=$(BUILDROOT) # --enable-static-libs
ifeq ($(MINGW32), 1)
confekiga := $(confekiga) --with-directx-dir=$(EKIGA_DIR)/win32/directx
endif

# h264 decoding is provided by libav, while encoding by x264 lib
conflibav := --cross-prefix=$(HOST_TOOL_PREFIX)- --enable-shared --disable-static \
	--enable-cross-compile --arch=`echo $(HOST_TOOL_PREFIX)|cut -d- -f1` --target-os=mingw32 \
	--prefix=$(BUILDROOT) --libdir=$(LIBDIR) \
	--disable-avserver --disable-ffmpeg --disable-avplay --disable-avconv --disable-avprobe --disable-network \
	--disable-swscale --disable-avfilter --disable-avformat --disable-avdevice \
	--disable-everything --enable-decoder=mpeg4 --enable-decoder=h263 --enable-encoder=mpeg4 --enable-encoder=h263 --enable-encoder=h263p --enable-decoder=h264 --enable-hwaccel=h264_dxva2

confx264 := $(confflags) --enable-static --disable-cli --disable-avs

conftheora := $(confflags) --disable-vorbistest --disable-sdltest --disable-examples --disable-spec

# only signals is needed
confboost := --user-config=user-config.jam --layout=system variant=release threading=multi link=shared runtime-link=shared target-os=windows threadapi=win32 --with-signals -q

all: binaries $(TARGETDIR)/$(EKIGA_INSTALLER)
	@echo "Built on $(shell date)"

update-sources::
	@echo "Updating on $(shell date)"

update: update-sources

binaries:
	@echo Checking prerequisites...
	hash $(REALCC) $(REALCXX) $(LD) $(NM) $(AR) $(RANLIB) $(DLLTOOL) $(DLLWRAP) $(OBJDUMP) $(RC) $(AS)||(echo You need to install mingw-w64 or mingw32; exit 1)
	hash tar unzip zip xz wget aclocal autoheader libtoolize automake autoconf pkg-config gnome-autogen.sh bison gdk-pixbuf-csource || (echo we need more binaries ; exit 1)
	[ -f /usr/share/gnome-doc-utils/gnome-doc-utils.make ] || (echo gnome-doc-tools not installed; exit 1)
	[ -f /usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`/pkgconfig/gconf-2.0.pc -o /usr/lib/pkgconfig/gconf-2.0.pc ] || (echo libgconf2-dev not installed; exit 1)
	[ -f /usr/share/icons/gnome/index.theme ] || (echo gnome-icon-theme not installed; exit 1)
	hash makensis || (echo nsis not installed; exit 1)
	hash xmlto || (echo xmlto not installed; exit 1)
	hash yasm || (echo yasm not installed, mandatory for x264; exit 1)
#	[ $(BUILDROOT) = $(CURDIR) ] || (echo You are supposed to run this as Makefile in $(BUILDROOT); exit 1)
ifeq ($(MINGW32), 1)
	[ `grep define.*MINGW32_MINOR_VERSION /usr/i586-mingw32msvc/include/_mingw.h|tr -s " "|cut -d" " -f3` -ge 15 ] || (echo 'You need mingw32-runtime at version >= 3.15'; exit 1)
endif
	mkdir -p $(INCLUDEDIR) $(LIBDIR)/pkgconfig $(SRCDIR) $(BINDIR)
	$(RM) -f $(BINDIR)/cygpath
	$(LN) -s /bin/true $(BINDIR)/cygpath
	touch $@

### REGEX
update-sources::
	@echo "--- Getting libregex..."
	mkdir -p $(SRCDIR)/$(REGEX_ARCHIVE)
	cd $(SRCDIR)/$(REGEX_ARCHIVE); \

=== debian/changelog ===
ekiga (4.0.1-6) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Eugen Dedu ]
  * Fix FTBS with GCC 5 by disabling experimental XMPP, as per upstream
    recommendation (Closes: #797438)

 -- Eugen Dedu <eugen.dedu@univ-fcomte.fr>  Fri, 04 Sep 2015 13:35:19 +0200

ekiga (4.0.1-5) unstable; urgency=low

  * Add support for mips64 and mips64el, patch by YunQiang Su (Closes: #766590)

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Thu, 24 Oct 2014 11:35:19 +0200

ekiga (4.0.1-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-autoreconf. Enable automake option subdir-objects.
  * Use explicit --with-boost-libdir since multiarch detection does not work
    on *-i386 architectures.  (Closes: #735791)

  [ Eugen Dedu ]
  * Mention in README.Debian that ekiga does not yet support the Debian
    SIP service (Closes: #737740)
  * Properly replace /usr/share/doc/ekiga-dbg directory with symlink
    upon upgrading (Closes: #736307)

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Thu, 06 Mar 2014 09:38:19 +0100

ekiga (4.0.1-3) unstable; urgency=low

  [ Eugen Dedu ]
  * Install README.security in doc directory (Closes: #712033)
  * Fix debian svn/vcs information
  * Fix FTBFS on powerpcspe (Closes: 701565)
  * Fix FTBFS with recent boost libraries (Closes: 735791)

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Disable silent rules.

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Sat, 18 Jan 2014 11:28:19 +0100

ekiga (4.0.1-2) unstable; urgency=low

  * Add license exception in debian/copyright
  * Upload to unstable

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Wed, 08 May 2013 21:13:35 +0100

ekiga (4.0.1-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New upstream stable release
  * Really add ekiga-plugin-evolution package (Closes: 520830)

  [ Kilian Krause ]
  * Add missing ${shlibs:Depends} to ekiga-plugin-evolution
  * Fix debhelper build-depends (upgrade to >=9) due to compat level

 -- Kilian Krause <kilian@debian.org>  Sat, 02 Mar 2013 13:06:36 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: ekiga
Section: gnome
Priority: optional
Maintainer: Kilian Krause <kilian@debian.org>
Uploaders: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libsasl2-dev,
               gettext,
               libldap2-dev,
               libpt-dev (>= 2.10.11~),
               libopal-dev (>= 3.10.10~),
               libgconf2-dev,
               libxv-dev,
               gnome-pkg-tools,
               rarian-compat,
               intltool,
               libxml-parser-perl,
               evolution-data-server-dev,
               gnome-doc-utils,
               gnome-icon-theme,
               libavahi-client-dev,
               libavahi-glib-dev,
               libgtk2.0-dev,
               libdbus-glib-1-dev,
               libv4l-dev,
               gnome-common,
               libnotify-dev,
               libebook1.2-dev,
               libxext-dev,
               libboost-dev,
               libboost-signals-dev
Standards-Version: 3.9.2.0
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/ekiga/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/ekiga/
Homepage: http://www.ekiga.org/

Package: ekiga
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-icon-theme
Recommends: gvfs, yelp
Suggests: ekiga-plugin-evolution,
          siproxd,
          gnugk,
          mediaproxy,
          ser,
          rtpproxy,
          asterisk,
          yate
Description: H.323 and SIP compatible VoIP client
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software (such as Microsoft Netmeeting) as well as SIP endpoints.
 .
 It supports all modern videoconferencing features, such as contact roster,
 presence status, high-quality audio and video codecs, various video
 resolutions, registering to an LDAP directory, gatekeeper support,
 making multi-user conference calls using an external MCU, using modern
 Quicknet telephony cards, and making PC-To-Phone calls.
 .
 Evolution plugin is in ekiga-plugin-evolution package.

Package: ekiga-dbg
Priority: extra
Section: debug
Architecture: any
Pre-Depends: dpkg (>= 1.17.5)
Depends: ekiga (= ${binary:Version}),
         ${misc:Depends},
         libpt-dbg,
         libopal-dbg
Suggests: libc6-dbg
Description: H.323 and SIP compatible VoIP client - debug symbols
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software (such as Microsoft Netmeeting) as well as SIP endpoints.
 .
 This package contains the debugging symbols for Ekiga.

Package: ekiga-plugin-evolution
Priority: extra
Architecture: any
Depends: ekiga (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends},
         evolution-data-server
Description: H.323 and SIP compatible VoIP client - evolution plugin
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software as well as SIP endpoints.
 .
 This package contains the Evolution plugin for Ekiga.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure --\
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--disable-schemas-install \
		--disable-scrollkeeper \
		--disable-silent-rules \
		--enable-avahi

override_dh_auto_install:
	cd po/; intltool-update -p
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ekiga
	rm -f $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/*.la
	rm -f $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/plugins/*.la
	# move evolution plugin in its own package
	target=$(CURDIR)/debian/ekiga-plugin-evolution/$$(cd debian/ekiga;ls -1d usr/lib/*/ekiga/*/plugins); \
	mkdir -p $$target; mv $(CURDIR)/debian/ekiga/usr/lib/*/ekiga/*/plugins/*evolution* $$target

override_dh_installchangelogs:
	dh_installchangelogs NEWS
override_dh_strip:
	dh_strip --dbg-package=ekiga-dbg
override_dh_installdocs:
	dh_installdocs --link-doc=ekiga

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/ekiga/([\d\.]+)/ \
        ekiga-(.*)\.tar\.xz
